﻿'*******************************************************************************
' *   This file is part of NRtfTree Library.
' *
' *   NRtfTree Library is free software; you can redistribute it and/or modify
' *   it under the terms of the GNU Lesser General Public License as published by
' *   the Free Software Foundation; either version 3 of the License, or
' *   (at your option) any later version.
' *
' *   NRtfTree Library is distributed in the hope that it will be useful,
' *   but WITHOUT ANY WARRANTY; without even the implied warranty of
' *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' *   GNU Lesser General Public License for more details.
' *
' *   You should have received a copy of the GNU Lesser General Public License
' *   along with this program. If not, see <http://www.gnu.org/licenses/>.
' *******************************************************************************

'*******************************************************************************
' * Library:		NRtfTree
' * Version:     v0.3.0
' * Date:		01/05/2009
' * Copyright:   2006-2009 Salvador Gomez
' * E-mail:      sgoliver.net@gmail.com
' * Home Page:	http://www.sgoliver.net
' * SF Project:	http://nrtftree.sourceforge.net
' *				http://sourceforge.net/projects/nrtftree
' * Class:		HtmlEntities
' * Description:	Clase auxiliar de Rtf2Html. Traducción de entidades HTML.
' * Contributed by: Terence L. Wallace
' *******************************************************************************

Imports System
Imports System.IO

Module modDirectory
    Friend ReadOnly Property TemplateDirectory() As String
        Get
            Return ParentDirectory + "\Templates\"
        End Get
    End Property

    Friend ReadOnly Property ParentDirectory() As String
        Get
            Dim dir As New DirectoryInfo(Application.StartupPath)
            Return dir.Parent.FullName
        End Get
    End Property
End Module
